%define	distversion	%(. /etc/os-release 2>/dev/null ; echo $VERSION)

Summary:	PLD Linux release file with logo
Summary(de.UTF-8):	PLD Linux Release-Datei mit logo
Summary(pl.UTF-8):	Wersja Linuksa PLD z logiem
Name:		issue-fancy
Version:	3.0
Release:	12
License:	GPL
Group:		Base
Source0:	%{name}-gen
Source1:	%{name}.crontab
Source2:	%{name}.init
# In fact it requires quote_logo_backslashes patch.
BuildRequires:	linux_logo >= 3.9b5
BuildRequires:	pld-release >= 3.0
%requires_eq	pld-release
Requires(post,preun):	/sbin/chkconfig
Requires:	linux_logo >= 3.9b5
Requires:	crondaemon
Provides:	issue = %{version}-%{release}
Conflicts:	issue-alpha < 3.0-1
Conflicts:	issue-logo < 3.0-1
Conflicts:	issue-nice < 3.0-1
Conflicts:	issue-pure < 3.0-1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
PLD Linux release file with logo.

%description -l pl.UTF-8
Wersja Linuksa PLD z logiem.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{cron.d,rc.d/init.d},%{_sbindir}}

install %{SOURCE0} $RPM_BUILD_ROOT%{_sbindir}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/issue-fancy

$RPM_BUILD_ROOT%{_sbindir}/issue-fancy-gen $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/issue-fancy-gen
/sbin/chkconfig --add issue-fancy

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del issue-fancy
fi

%files
%defattr(644,root,root,755)
# Can't use "noreplace" here because issues are regenerated from cron
# and %post. Without "noreplace" at least ".rpmsave" will stay.
%config %verify(not md5 mtime size) %{_sysconfdir}/issue
%config %verify(not md5 mtime size) %{_sysconfdir}/issue.net
%attr(755,root,root) %{_sbindir}/*
%attr(600,root,root) /etc/cron.d/*
%attr(754,root,root) /etc/rc.d/init.d/*
%changelog
* Sat Jan 27 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/issue-fancy.git;a=log;h=master

* Sat Jan 27 2018 Jan Rękorajski <baggins@pld-linux.org> eda0509
- release 12 (by relup.sh)

* Sun Jan 29 2017 Jan Rękorajski <baggins@pld-linux.org> 403bab9
- release 11 (by relup.sh)

* Sun Jan 29 2017 Jan Rękorajski <baggins@pld-linux.org> 6bc6e72
- release 10 (by relup.sh)

* Sun Jan 29 2017 Jan Rękorajski <baggins@pld-linux.org> 988cf20
- release 9 (by relup.sh)

* Sun Jan 29 2017 Jan Rękorajski <baggins@pld-linux.org> 5136d67
- release 8 (by relup.sh)

* Sat Dec 06 2014 Jan Rękorajski <baggins@pld-linux.org> b4f6a18
- release 7 (by relup.sh)

* Sat Dec 06 2014 Jan Rękorajski <baggins@pld-linux.org> 3872589
- release 6 (by relup.sh)

* Tue Dec 31 2013 Jan Rękorajski <baggins@pld-linux.org> 6a5c0d4
- release 5 (by relup.sh)

* Tue Dec 31 2013 Jan Rękorajski <baggins@pld-linux.org> 7c0db63
- release 4 (by relup.sh)

* Wed Jul 03 2013 Jan Rękorajski <baggins@pld-linux.org> 0119397
- versioned P:issue
- rel 3

* Sun Jun 16 2013 Jan Rękorajski <baggins@pld-linux.org> bddcfea
- fixed version, only use /etc/os-release for generating issue file

* Sun Jun 16 2013 Jan Rękorajski <baggins@pld-linux.org> 79da1bc
- finally fixed the case when file is unreadable

* Sun Jun 16 2013 Jan Rękorajski <baggins@pld-linux.org> 70b3113
- more fixing getting distversion

* Sun Jun 16 2013 Jan Rękorajski <baggins@pld-linux.org> ed4114b
- fix getting distversion

* Sun Jun 16 2013 Jan Rękorajski <baggins@pld-linux.org> 42fc9a5
- {pld,os}-release moved to separate package, update BRs accordingly
- all version/name data taken out from /etc/os-release at build time
- rel 2

* Tue Aug 21 2012 Jan Rękorajski <baggins@pld-linux.org> 4df6f29
- Use canonical short url for BUG_REPORT_URL

* Tue Aug 21 2012 Jan Rękorajski <baggins@pld-linux.org> dad812c
- Conflicts tag need a release

* Tue Aug 21 2012 Jan Rękorajski <baggins@pld-linux.org> 340b8ad
- Added BUG_REPORT_URL to /etc/os-release

* Mon Aug 20 2012 Jan Rękorajski <baggins@pld-linux.org> 7c7ac1e
- Change version to 3.0 and add snap bcond

* Thu Feb 16 2012 Jan Rękorajski <baggins@pld-linux.org> 9a2e241
- relup
- drop foreign obsoletes
- add /etc/os-release (http://www.freedesktop.org/software/systemd/man/os-release.html)

